Problem trying to create an udf with unicode username

Bug #921703 reported by Diego Sarmentero on 2012-01-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Undecided
Diego Sarmentero

Bug Description

2012-01-19 11:00:45,206 - ubuntuone.SyncDaemon.VM - DEBUG - create udf: 'C:\\Users\\\xe5\x8d\x97\xe6\xb8\xa1\xe6\xb1\x9f \xd7\xa0\xd7\x95\xd7\xa0\xd7\x95\\Links'
C:\Python27\lib\genericpath.py:71: UnicodeWarning: Unicode equal comparison failed to convert both arguments to Unicode - interpreting them as being unequal
  s1 = min(m)

2012-01-19 11:00:45,207 - ubuntuone.SyncDaemon.EQ - DEBUG - push_event: VM_UDF_CREATE_ERROR, kwargs: {'path': 'C:\\Users\\\xe5\x8d\x97\xe6\xb8\xa1\xe6\xb1\x9f \xd7\xa0\xd7\x95\xd7\xa0\xd7\x95\\Links', 'error': "INVALID_PATH: 'ascii' codec can't decode byte 0xe5 in position 0: ordinal not in range(128)"}

2012-01-19 11:00:45,207 - ubuntuone.SyncDaemon.InteractionInterfaces - DEBUG - handle_VM_UDF_CREATE_ERROR: args (<ubuntuone.syncdaemon.interaction_interfaces.SyncdaemonEventListener object at 0x033AFED0>,), kwargs {'path': 'C:\\Users\\\xe5\x8d\x97\xe6\xb8\xa1\xe6\xb1\x9f \xd7\xa0\xd7\x95\xd7\xa0\xd7\x95\\Links', 'error
': "INVALID_PATH: 'ascii' codec can't decode byte 0xe5 in position 0: ordinal not in range(128)"}.

Related branches

Changed in ubuntuone-client:
status: In Progress → Fix Committed
dobey (dobey) on 2012-02-02
Changed in ubuntuone-client:
milestone: none → 2.99.3
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers